# Enum Class PixelInCell

Object
Enum<PixelInCell>
PixelInCell

All Implemented Interfaces:
  `Serializable`, `Comparable<PixelInCell>`, `Constable`

public enum PixelInCell extends Enum<PixelInCell>
Whether a "grid to real world" transform gives the coordinates of the cell corner or cell center. This enumeration is equivalent to a subset of `PixelOrientation`, but applicable to any number of dimensions.

Since:
  1.5
See Also:
  - `PixelOrientation`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CELL_CENTER`
  "Real world" coordinates give the location of the cell center.
  `CELL_CORNER`
  "Real world" coordinates give the location of the cell corner having smallest coordinate values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<String>`
  `identifier()`
  Returns the identifier declared in the legacy ISO 19111 specification.
  `String[]`
  `names()`
  Returns all the names of this enumeration value.
  `static PixelInCell`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PixelInCell[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CELL_CENTER

    public static final PixelInCell CELL_CENTER
    "Real world" coordinates give the location of the cell center.
    See Also:
      - `PixelOrientation​.CENTER`

  - ### CELL_CORNER

    public static final PixelInCell CELL_CORNER
    "Real world" coordinates give the location of the cell corner having smallest coordinate values. For a two-dimensional image having row indices (y coordinates) increasing downward, this the upper-left corner.
    See Also:
      - `PixelOrientation​.UPPER_LEFT`

- ## Method Details

  - ### values

    public static PixelInCell[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PixelInCell valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### identifier

    public Optional<String> identifier()
    Returns the identifier declared in the legacy ISO 19111 specification.
    Returns:
      the legacy ISO/OGC identifier for this constant.

  - ### names

    public String[] names()
    Returns all the names of this enumeration value. The returned array contains the name and the identifier.
    Returns:
      all names of this constant. This array is never null and never empty.